Bug 972437 - [abrt] kdelibs-4.10.3-2.fc18: g_wakeup_new: Process /usr/bin/kded4 was killed by signal 5 (SIGTRAP)
[abrt] kdelibs-4.10.3-2.fc18: g_wakeup_new: Process /usr/bin/kded4 was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:be558e42b48d3883808abd480df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 08:18 EDT by Jacek Wielemborek
Modified: 2014-02-05 16:44 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:44:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.52 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: core_backtrace (4.78 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: dso_list (8.70 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: environ (1.53 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: maps (128.74 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: open_fds (38.99 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details
File: var_log_messages (1.32 KB, text/plain)
2013-06-09 08:18 EDT, Jacek Wielemborek
no flags Details

  None (edit)
Description Jacek Wielemborek 2013-06-09 08:18:04 EDT
Version-Release number of selected component:
kdelibs-4.10.3-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        kded4
crash_function: g_wakeup_new
executable:     /usr/bin/kded4
kernel:         3.8.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_wakeup_new at gwakeup.c:163
 #3 g_main_context_new at gmain.c:590
 #4 call_sync_new at polkitauthority.c:591
 #5 polkit_authority_check_authorization_sync at polkitauthority.c:1019
 #6 PolkitQt1::Authority::checkAuthorizationSync at /usr/src/debug/polkit-qt-1-0.103.0/core/polkitqt1-authority.cpp:329
 #7 KAuth::Polkit1Backend::actionStatus at /usr/src/debug/kdelibs-4.10.2/kdecore/auth/backends/polkit-1/Polkit1Backend.cpp:149
 #8 KAuth::Polkit1Backend::checkForResultChanged at /usr/src/debug/kdelibs-4.10.2/kdecore/auth/backends/polkit-1/Polkit1Backend.cpp:199
 #9 QMetaObject::activate at kernel/qobject.cpp:3539
 #10 _g_closure_invoke_va at gclosure.c:840
 #12 g_signal_emit_by_name at gsignal.c:3393
Comment 1 Jacek Wielemborek 2013-06-09 08:18:10 EDT
Created attachment 758745 [details]
File: backtrace
Comment 2 Jacek Wielemborek 2013-06-09 08:18:14 EDT
Created attachment 758746 [details]
File: cgroup
Comment 3 Jacek Wielemborek 2013-06-09 08:18:18 EDT
Created attachment 758747 [details]
File: core_backtrace
Comment 4 Jacek Wielemborek 2013-06-09 08:18:23 EDT
Created attachment 758748 [details]
File: dso_list
Comment 5 Jacek Wielemborek 2013-06-09 08:18:27 EDT
Created attachment 758749 [details]
File: environ
Comment 6 Jacek Wielemborek 2013-06-09 08:18:31 EDT
Created attachment 758750 [details]
File: limits
Comment 7 Jacek Wielemborek 2013-06-09 08:18:35 EDT
Created attachment 758751 [details]
File: maps
Comment 8 Jacek Wielemborek 2013-06-09 08:18:42 EDT
Created attachment 758752 [details]
File: open_fds
Comment 9 Jacek Wielemborek 2013-06-09 08:18:48 EDT
Created attachment 758753 [details]
File: proc_pid_status
Comment 10 Jacek Wielemborek 2013-06-09 08:18:52 EDT
Created attachment 758754 [details]
File: var_log_messages
Comment 11 Kevin Kofler 2013-06-09 16:28:49 EDT
This crashes in GLib's GWakeup, called by polkit-qt, called by the KAuth Polkit1 backend, called by PowerDevil, with the following fatal error:
"Creating pipes for GWakeup: Za du\305\274o otwartych plik\303\263w"
which decodes to:
"Creating pipes for GWakeup: Za dużo otwartych plików"
which according to Google Translate translates to:
"Creating pipes for GWakeup: Too many open files"

So it looks like kded4 ran out of file descriptors.
Comment 12 Fedora End Of Life 2013-12-21 08:55:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:44:24 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.